/* Import Google font - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');



* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Roboto', sans-serif;
	
}

html {
	scroll-behavior: smooth;

	/* Variables For Storing Colors */
	--primary-clr: #CDF5FD;
	--primary-medium-clr: #d8e9df;
	--bg-clr-1: #ffffff;
	--dark-heading-clr: #232d39;
	--dark-text-clr: #6c757d;
	--light-heading-clr: #2c2255;
	--light-text-clr: #cecece;
}

/*   === Global Styling Starts ===   */
button.btn {
	padding: 10px 18px;
	background-color: var(--light-heading-clr);
	color: #fff;
	font-size: 15px;
	border: 1px solid transparent;
	border-radius: 5px;
	cursor: pointer;
	transition: all 0.3s;
}

button.btn:hover {
	background-color: white;
	color: #2c2255;
	border: 1px solid var(--primary-clr);
}

.section-header h1 {
	position: relative;
	font-size: 32px;
	letter-spacing: 1px;
	color: #2c2255;
	margin-bottom: 20px;
}

.section-header h1::before {
	position: absolute;
	content: '';
	width: 100px;
	height: 1px;
	left: 0;
	top: calc(100% + 5px);
	background-color: var(--dark-text-clr);
}

.section-header h1::after {
	position: absolute;
	content: '';
	width: 50px;
	height: 3px;
	left: 0;
	top: calc(100% + 4px);
	background-color: #2c2255;
}

.section-header p {
	color: var(--dark-text-clr);
	margin-bottom: 40px;
	max-width: 700px;
}

/*   === Global Styling Ends ===   */
body {
	width: 100%;
	min-height: 100vh;
}

.website-container {
	width: 100%;
	max-width: 100%;
	min-height: 100vh;
	margin: 0px auto;
}

/*   === Home Section Styling Starts ===   */
section.home {
	position: relative;
	width: 100%;
	min-height: 100vh;
	background-color: var(--primary-light-clr);
}

.home .main-navbar {
	position: absolute;
	width: 100%;
	max-width: 100%;
	height: 12vh;
	max-height: 80px;
	background-color: whitesmoke;
	padding: 0px 8%;
	margin: 0px auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
	z-index: 100;
}

.home.active .main-navbar {
	position: fixed;
	top: 0;
	margin: 0px auto;
	box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.25);
	animation: showMenu 0.6s ease-in;
}

@keyframes showMenu {
	from {
		transform: translateY(-100px);
	}

	to {
		transform: translateY(0px);
	}
}

.main-navbar .logo {
	text-decoration: none;
}

.main-navbar a h1{
	font-size: 50px;
	color: #df0f0f;
}

.main-navbar .nav-list {
	list-style: none;
}

.main-navbar .nav-list li {
	display: inline-block;
	margin: 0px 10px;
}

.main-navbar .nav-list li a {
	position: relative;
	color: #000;
	font-weight: 500;
	font-size: 14px;
	text-transform: uppercase;
	text-decoration: none;
	letter-spacing: 1px;
}

.main-navbar .nav-list li a::after {
	position: absolute;
	content: '';
	width: 100%;
	height: 2px;
	background-color: var(--light-heading-clr);
	left: 0;
	top: calc(100% + 2px);
	transition: all 0.3s;
	transform: scaleX(0);
}

.main-navbar .nav-list li a:hover::after {
	transform: scaleX(1);
}

.main-navbar .get-started-btn {
	background-color: var(--light-heading-clr);
	color: #fff;
}

.main-navbar .get-started-btn:hover {
	background-color: var(--primary-clr);
	color: var(--light-heading-clr);
	border: 1px solid var(--light-heading-clr);
}

.main-navbar .menu-btn {
	min-width: 30px;
	width: 30px;
	height: 30px;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	cursor: pointer;
	display: none;
}

.main-navbar .menu-btn span {
	position: relative;
	display: block;
	width: 100%;
	height: 2px;
	background-color: var(--light-heading-clr);
	border-radius: 5px;
	transition: all 0.4s;
}

.main-navbar .menu-btn span::before,
.main-navbar .menu-btn span::after {
	position: absolute;
	content: '';
	top: 0;
	left: 0;
	width: 80%;
	height: 100%;
	background-color: var(--light-heading-clr);
	transition: all 0.4s;
}

.main-navbar .menu-btn span::before {
	transform: translateY(-9px);
}

.main-navbar .menu-btn span::after {
	transform: translateY(9px);
}
.gallery {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.gallery .images {
  gap: 15px;
  max-width: 95%;
  margin-top: 40px;
  columns: 5 340px;
  list-style: none;
}
.gallery .images .card {
  display: flex;
  cursor: pointer;
  overflow: hidden;
  position: relative;
  margin-bottom: 14px;
  border-radius: 4px;
}
.gallery .images img {
  width: 100%;
  z-index: 2;
  position: relative;
}
.images .details {
  position: absolute;
  z-index: 4;
  width: 100%;
  bottom: -100px;
  display: flex;
  align-items: center;
  padding: 15px 20px;
  justify-content: space-between;
  transition: bottom 0.1s ease;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.7), transparent);
}
.images li:hover .details {
  bottom: 0;
}
.photographer {
  color: #fff;
  display: flex;
  align-items: center;
}
.photographer i {
  font-size: 1.4rem;
  margin-right: 10px;
}
.photographer span {
  font-size: 1.05rem;
}
button, i {
  outline: none;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  transition: 0.2s ease;
}
.details button {
  background: #fff;
  font-size: 1.1rem;
  padding: 3px 8px;
}
.details .download-btn:hover {
  background: #f2f2f2;
}
.gallery .load-more {
  color: #fff;
  background: #8A6CFF;
  margin: 50px 0;
  font-size: 1.2rem;
  padding: 12px 27px;
}
.gallery .load-more.disabled {
  opacity: 0.6;
  pointer-events: none;
}
.gallery .load-more:hover {
  background: #704dff;
}

.lightbox {
  z-index: 5;
  position: fixed;
  visibility: hidden;
  background: rgba(0,0,0,0.65);
}
.lightbox.show {
  visibility: visible;
}
.lightbox .wrapper {
  position: fixed;
  left: 50%;
  top: 50%;
  width: 100%;
  padding: 20px;
  max-width: 850px;
  background: #fff;
  border-radius: 6px;
  opacity: 0;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(0.9);
  transition: transform 0.1s ease;
}
.lightbox.show .wrapper {
  opacity: 1;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}
.wrapper header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
header .photographer {
  color: #333;
}
header .photographer i {
  font-size: 1.7rem;
  cursor: auto;
}
header .photographer span {
  font-size: 1.2rem;
}
header .buttons i {
  height: 40px;
  width: 40px;
  display: inline-block;
  color: #fff;
  font-size: 1.2rem;
  line-height: 40px;
  text-align: center;
  background: #8A6CFF;
  border-radius: 4px;
  transition: 0.2s ease;
}
header .buttons i:first-child:hover {
  background: #704dff;
}
header .buttons i:last-child {
  margin-left: 10px;
  font-size: 1.25rem;
  background: #6C757D;
}
header .buttons i:last-child:hover {
  background: #5f666d;
}
.wrapper .preview-img {
  display: flex;
  justify-content: center;
  margin-top: 25px;
}
.preview-img .img {
  max-height: 65vh;
}
.preview-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

@media screen and (max-width: 688px) {
  .lightbox .wrapper {
    padding: 12px;
    max-width: calc(100% - 26px);
  }
  .wrapper .preview-img {
    margin-top: 15px;
  }
  header .buttons i:last-child {
    margin-left: 7px;
  }
  header .photographer span, .search p {
    font-size: 1.1rem;
  }
  .search h1 {
    font-size: 1.8rem;
  }
  .search .search-box {
    height: 50px;
    margin: 30px 0;
  }
  .gallery .images {
    max-width: 100%;
    padding: 0 13px;
    margin-top: 20px;
  }
  .images .details {
    bottom: 0px;
  }
  .gallery .load-more {
    padding: 10px 25px;
    font-size: 1.05rem;
  }
}

@media (max-width:1100px) {
	.main-navbar a h1{
		font-size: 50px;
		font-weight:700 ;
		color:  #df0f0f;
	}
	.home .main-navbar {
		
		height: 7vh;
		
	}
	
}
@media (max-width:850px) {
	.main-navbar a h1{
		font-size: 50px;
		font-weight:700 ;
		color: #df0f0f;
	}
	
	.home .main-navbar {
		
		height: 7vh;
		
	}
	
}
@media (max-width:550px) {
	.main-navbar a h1{
		font-size: 30px;
		font-weight:700 ;
		color:  #df0f0f;
	}
	h1{
		font-weight: 700;
	}
	.home .main-navbar {
		
		height: 5vh;
		
	}
	
}

@media(max-width: 1024px) {

	/* Home Section */
	.main-navbar .menu-btn {
		display: flex;
		margin-left: 40px;
		z-index: 101;
	}

	.main-navbar .menu-btn.active span,
	.main-navbar .menu-btn.active span::before,
	.main-navbar .menu-btn.active span::after {
		width: 100%;
	}

	.main-navbar .menu-btn.active span::before {
		transform: rotate(45deg) translateY(0px);
	}

	.main-navbar .menu-btn.active span::after {
		transform: rotate(-45deg) translateY(0px);
	}

	.main-navbar .menu-btn.active span {
		background-color: transparent;
	}

	.main-navbar .nav-list {
		position: fixed;
		margin-top: 20vh;
		width: 70%;
		height: 60vh;
		top: 0;
		margin-right: 15%;
		/*right: 0;*/
		right: -100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		background-color:rgb(188, 214, 234);
		transition: right 0.3s cubic-bezier(.15, .61, .94, .25);
		z-index: 100;
	}

	.main-navbar .nav-list.active {
		right: 0;
	}

	.main-navbar .nav-list li {
		margin: 25px 0px 0px;
	}

	.main-navbar .nav-list li:nth-child(1) {
		margin-top: 40px;
	}

	.main-navbar .nav-list li a {
		font-size: 16px;
		letter-spacing: 1px;
	}

	.main-navbar .get-started-btn-container {
		margin-left: auto;
	}
}


 /*   === Footer Section Styling Starts ===   */
section.footer {
	background-image: url('back4.jpg');
	width: 100%;
	padding: 70px 8% 30px;
	background-color: #27beff34;
	
}

.footer .footer-contents {
	width: 100%;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	margin-bottom: 50px;
}

.footer-contents .footer-col {
	flex-basis: calc(calc(100% / 4) - 20px);
}

.footer-contents .footer-col .col-title {
	min-height: 60px;
	display: flex;
	align-items: flex-end;
	margin-bottom: 30px;
}

.footer-col .col-title h3 {
	font-size: 24px;
	color: var(--light-heading-clr);
}

.footer-col .col-contents {
	display: flex;
	flex-direction: column;
}

.footer-col-1 .col-title img {
	width: 120px;
	border-radius: 50%;
}

.footer-col-1 .col-contents span {
	color: #ffffff;
	font-size: 18px;
	line-height: 1.3;
	margin-bottom: 15px;
}

.footer-col-2 .col-contents .contact-row {
	margin-bottom: 15px;
	display: flex;
	flex-direction: column;
}

.footer-col-2 .col-contents .contact-row span {
	color: #ffffff;
	font-size: 16px;
}

.footer-col-2 .col-contents .contact-row span:nth-child(1) {
	color: var(--light-heading-clr);
	font-size: 17px;
	font-weight: 500;
	margin-bottom: 2px;
}

.footer-col-3 .col-contents a {
	text-decoration: none;
	color: #ffffff;
	margin-bottom: 20px;
	align-self: flex-start;
	transition: all 0.3s;
}

.footer-col-3 .col-contents a:hover {
	letter-spacing: 2px;
}

.footer-col-4 .col-contents input {
	width: 100%;
	padding: 15px;
	color: var(--dark-text-clr);
	border: none;
	border-radius: 5px;
	
}

.footer-col-4 .col-contents .newsletter-btn {
	background-color: rgb(92, 93, 94);
	color: rgb(255, 255, 255);
	margin-top: 20px;
	
	
}

.footer-col-4 .col-contents .newsletter-btn:hover {
	background-color: white;
	color: #0000ff;
	border: 1px solid var(--light-heading-clr);
	
}

.footer .copy-rights {
	padding: 30px 0px 0px;
	border-top: 1px solid var(--light-text-clr);
	text-align: center;
	background-color: #191b40;
	height: 10vh;
	width: 100%;
	justify-content: center;
}

.footer .copy-rights p {
	color: #ffffff;
	
	align-items: center;
}

.footer .copy-rights p b {
	color: #ff3131;
}

/*   === Footer Section Styling Ends ===   */





/*   === Media Query Starts ===   */
@media(max-width: 1024px) {

	/* Home Section */
	.main-navbar .menu-btn {
		display: flex;
		margin-left: 40px;
		z-index: 101;
	}

	.main-navbar .menu-btn.active span,
	.main-navbar .menu-btn.active span::before,
	.main-navbar .menu-btn.active span::after {
		width: 100%;
	}

	.main-navbar .menu-btn.active span::before {
		transform: rotate(45deg) translateY(0px);
	}

	.main-navbar .menu-btn.active span::after {
		transform: rotate(-45deg) translateY(0px);
	}

	.main-navbar .menu-btn.active span {
		background-color: transparent;
	}

	.main-navbar .nav-list {
		position: fixed;
		margin-top: 20vh;
		width: 70%;
		height: 60vh;
		top: 0;
		min-height: 400px;
		margin-right: 15%;
		/*right: 0;*/
		right: -100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		background-color:rgb(188, 214, 234);
		transition: right 0.3s cubic-bezier(.15, .61, .94, .25);
		z-index: 100;
	}

	.main-navbar .nav-list.active {
		right: 0;
	}

	.main-navbar .nav-list li {
		margin: 25px 0px 0px;
	}

	.main-navbar .nav-list li:nth-child(1) {
		margin-top: 40px;
	}

	.main-navbar .nav-list li a {
		font-size: 16px;
		letter-spacing: 1px;
	}

	.main-navbar .get-started-btn-container {
		margin-left: auto;
	}

	.home .banner {
		flex-direction: column-reverse;
		justify-content: flex-start;
		align-items: flex-start;
	}

	.home .banner .banner-desc,
	.home .banner .banner-img {
		flex-basis: 100%;
	}

	.home .banner .banner-img {
		align-self: center;
		margin-bottom: 50px;
	}

	/* Services Section */
	.services-contents .service-box {
		flex-basis: calc(calc(100% / 2) - 2%);
	}

	.services-contents .service-box:not(:last-child) {
		margin-bottom: 20px;
	}

	/* Courses Section */
	.courses .course-contents .course-card {
		flex-basis: calc(calc(100% / 2) - 1.2%);
	}

	.courses .section-header {
		flex-direction: column;
	}

	.courses .section-header .courses-btn {
		position: relative;
		align-self: flex-start;
		margin-top: 20px;
	}

	/* Courses Categories Section */
	.categories-contents .category-item {
		flex-basis: calc(calc(100% / 2) - 1%);
		margin-bottom: 15px;
	}

	/* Footer Section */
	.footer-contents .footer-col {
		flex-basis: calc(calc(100% / 2) - 20px);
		
		
	}
}

@media(max-width: 768px) {

	/* Home Section */
	.banner-img-container .states .total-courses {
		left: 5px;
		bottom: 10%;
	}

	.banner .banner-desc h2 {
		font-size: 42px;
	}

	/* Testimonials Section */
	.testimonials .section-header {
		width: 100%;
		margin-bottom: 40px;
	}
}

@media(max-width: 668px) {

	/* Partners Section */
	.partners h3 {
		margin-right: 150px;
	}

	/* Services Section */
	.services-contents .service-box {
		flex-basis: 100%;
	}

	/* Courses Section */
	.courses .course-contents .course-card {
		flex-basis: 100%;
	}
}

@media(max-width: 568px) {

	/* Courses Categories Section */
	.categories-contents .category-item {
		flex-basis: 100%;
	}

	/* Footer Section */
	.footer-contents .footer-col {
		flex-basis: 100%;
	}
}

@media(max-width: 468px) {
	.banner-img .banner-img-container {
		width: 100%;
	}

	.banner .banner-desc .search-bar {
		width: 100%;
	}

	.banner-img-container .states .courses-ratings {
		top: 30px;
		right: -10px;
	}

	.banner .banner-desc h2 {
		font-size: 32px;
	}

	.main-navbar .get-started-btn-container {
		display: none;
	}

	/* Partners Section */
	.partners h3 {
		margin-right: 0px;
		margin-bottom: 80px;
	}

	.loc-container {
		padding: 10px 10px;
		
	}
}

/*   === Media Query Ends ===   */


   .social-ul{
	display: flex;
	margin-top: 10px;
  } 
  .social-ul li{
	position: relative;
	display: block;
	color: hsl(0, 54%, 95%);
	font-size: 25px;
  height: 35px;
  width: 35px;
	/* background: #4e4f4f; */
	line-height: 30px;
	border-radius: 50%;
	margin-right: 10px;
	cursor: pointer;
	transition: .5s;
  }

  .social-ul li i{
	margin-left: 5px;
	margin-top: 5px;
     

  }
  .social-ul li:before{
	position: absolute;
	content: '';
	top: 0;
	left: 0;
	height: inherit;
	width: inherit;
	/* background: #d35400; */
	border-radius: 5px;
	transform: scale(.9);
	z-index: -1;
	transition: .5s;
  }
  
  .social-ul li:nth-child(1):before{
	background: #1DA1F2;
  }
  .social-ul li:nth-child(2):before{
	background: #E1306C;
  }
  .social-ul li:nth-child(3):before{
	background: #2867B2;
  }
  .social-ul li:nth-child(4):before{
	background: #ff0000;
  }
  .social-ul li:hover:before{
	filter: blur(3px);
	transform: scale(1.2);
	/* box-shadow: 0 0 15px #d35400; */
  }
 
  .social-ul li:nth-child(1):hover:before{
	box-shadow: 0 0 15px #1DA1F2;
  }
  .social-ul li:nth-child(2):hover:before{
	box-shadow: 0 0 15px #E1306C;
  }
  .social-ul li:nth-child(3):hover:before{
	box-shadow: 0 0 15px #2867B2;
  }
  .social-ul li:nth-child(4):hover:before{
	box-shadow: 0 0 15px #ff0000;
  }

  .social-ul li:nth-child(1):hover{
	color: #26a4f2;
	box-shadow: 0 0 15px #1DA1F2;
	text-shadow: 0 0 15px #1DA1F2;
  }
  .social-ul li:nth-child(2):hover{
	color: #e23670;
	box-shadow: 0 0 15px #E1306C;
	text-shadow: 0 0 15px #E1306C;
  }
  .social-ul li:nth-child(3):hover{
	color: #2a6cbb;
	box-shadow: 0 0 15px #2867B2;
	text-shadow: 0 0 15px #2867B2;
  }
  .social-ul li:nth-child(4):hover{
	color: #ff1a1a;
	box-shadow: 0 0 15px #ff0000;
	text-shadow: 0 0 15px #ff0000;
  } 
  /* ul li:hover{
	color: #ffa502;
	box-shadow: 0 0 15px #d35400;
	text-shadow: 0 0 15px #d35400;
  } 